<?php

class ModuleInfo extends AppModule
{
  function __construct(System $System)
  {
    parent::__construct($System);
    $this->Name = 'Info';
    $this->Version = '1.0';
    $this->Creator = 'Chronos';
    $this->License = 'GNU/GPL';
    $this->Description = 'Various informative pages';
    $this->Dependencies = array();
  }

  function DoStart()
  {
    $this->System->RegisterMenuItem(array(
      'Title' => T('Instructions'),
      'Hint' => 'Informace k překladu hry',
      'Link' => $this->System->Link('/info/'),
      'Permission' => LICENCE_ANONYMOUS,
      'Icon' => '',
    ));
    $this->System->RegisterPage('info', 'PageInfo');
    $this->System->RegisterMenuItem(array(
      'Title' => T('Presentation'),
      'Hint' => 'Prezentace a motivace překladu',
      'Link' => $this->System->Link('/promotion/'),
      'Permission' => LICENCE_ANONYMOUS,
      'Icon' => '',
    ));
    $this->System->RegisterPage('promotion', 'PagePromotion');
  }
}

class PageInfo extends Page
{
  function Show()
  {
    $this->Title = T('Information for translators');
    $Output = '<h2>Informace a pokyny pro překladatele:</h2>'.
  '<ul>'.
  '<li>Texty překládejte <strong>včetně diakritiky</strong> (háčků a čárek). Ta bude v případě potřeby odstraněna při exportování. </li>'.
  '<li>Překládejte všechny texty <strong>včetně názvů výprav</strong>. Při exportu bude možné zvolit, zda se mají názvy překládat. Pro hledání informací o výpravách lze použít projekt AoWoW, který napodobuje vyhledávač wowhead.com a prezentuje přímo texty z databáze emulátoru.</li>'.
  '<li>Prosím vyberte správný jazyk, do kterého text překládáte kvůli správnému filtrování při exportu.</li>'.
  '<li>Význam speciálních kódů pro základní texty:'.
  '<ul>'.
  '<li><strong>$B</strong> - odřádkování</li>'.
  '<li><strong>$N</strong> - jméno postavy</li>'.
  '<li><strong>$C</strong> - povolání postavy</li>'.
  '<li><strong>$R</strong> - rasa postavy</li>'.
  '<li><strong>$gmužský:ženský;</strong> - rozlišení rodu postavy. Dvojtečka odděluje obě varianty a středník ukončuje tento speciální příkaz. Např. "Vítej $gchrabrý rytíři:chrabrá rytířko;!"</li>'.
  '</ul></li>'.
  '<li>Další specíální symboly pro některé skupiny:'.
  '<ul>'.
  '<li><strong>$ljeden:více;</strong> - jednotný a množný tvar</li>'.
  '<li><strong>$s - řetězec</strong></li>'.
  '<li><strong>různé symboly jako $a, $d, $i, $o, $m, $t - číselné hodnoty parametrů</strong></li>'.
  '</ul></li>'.
  '<li>V názvech měst, míst, postav, věcí aj. překládejte pouze jednoduší slova v názvech jako město, močál, les...
  složitější vyskloňujte (např. Stormwind city => Město Stormwind)</li>'.
  '<li>Začít překládat můžete výběrem některé překladové skupiny v pravém menu a kliknutím na Nepřeložené texty.</li>'.
  '<li>Je doporučeno překládat související texty např. z jedené celé oblasti ve hře nebo najednou výpravy, které patří do stejného řetězu výprav.</li>'.
  '<li>Pro překládání nestačí vložit text do překládacího programu (např. PC Translatoru či google translatoru) a nechat ho na hrubo zpracovat. Je nutné provést ruční kontrolu a překlad.</li>'.
  '<li>Doporučujeme používat prohlížeč Mozilla Firefox a stáhnout si do něj <strong>doplněk pro kontrolu pravopisu</strong>:
  <a href="https://addons.mozilla.org/cs/firefox/browse/type:3">Rozšíření do Firefoxu</a>.</li>'.
  '<li>Každý ručí za kvalitu svých překladů. Při exportování sestaveného překladu si sami vybíráte, komu důvěřujete a od kterých uživatelů dle vámi vybraného pořadí překlady převezmete. Tedy každý má možnost sestavit si vlastní volitelný export.</li>'.
  '</ul><br />'.
  '<br />';
  return $Output;
  }
}

class PagePromotion extends Page
{
  function Show()
  {
    $this->Title = T('Promotion');
    $Output = '<br/>Zde naleznete prezentaci překladu ve hře. Můžete se podívat jak může vypadat i vaše hra. Pokud se vám to líbí, zkuste si češtinu nainstalovat i do svého klienta a lépe také i pomoci projektu, sami to nepřeložíme.<br/><br/>'.

'<h3>Souhrný balík češtiny</h3>'.
'<br/>Souhrnný balík zahrnuje upravené soubory klienta a také addon, který překládá texty uložené na serveru. Ve výsledku tento balík překládá téměř všechny texty z WoW u free serverů. U oficiálního serveru jsou možnosti omezeny, ale přesto soubor překládá texty výprav, knížek, NPC textů a jiné.<br />'.
'<iframe width="420" height="315" src="//www.youtube.com/embed/MwFlc6j0ecA" frameborder="0" allowfullscreen></iframe>'.

'<h3>Upravený klient</h3><br/>'.
'Upravený klient lze použít bezpečně na free serverech a oproti addonu lze pomocí něj dosáhnout přeložení celé hry včetně přihlašovací obrazovky. '.
'Protože mnoho textů je uloženo na straně serveru, je nutné, aby daný free server češtinu obsahoval a oficiálně podporoval.<br/>'.
'<iframe width="420" height="315" src="https://www.youtube.com/embed/9g2s-TUl-7k" frameborder="0" allowfullscreen></iframe>'.
'<iframe width="420" height="315" src="https://www.youtube.com/embed/1oOa2li9_HM" frameborder="0" allowfullscreen></iframe>'.

'<br/><h3>Addon</h3><br/>'.
'Addon jako takový je běžný doplněk do hry a je možné jej bez problémů používat i na oficiálních serverech.<br/>'.
'<iframe width="420" height="315" src="https://www.youtube.com/embed/6EhBFv59syk" frameborder="0" allowfullscreen></iframe><br/>'.
'<img src="'.$this->System->Link('/images/promotion.bmp').'" width="800" alt="addon-obr">';
    return $Output;
  }
}
